/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.dto.planSceneCase;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：执行引擎信息表
*
* createdate:  2022-09-28 14:47:46  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行引擎信息表")
public class CdEngineInfoDetailDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 引擎名称<br>
     */
    @ApiModelProperty("引擎名称")
    @Size(max = 50, message="引擎名称-engineName: 数据长度不能 > 50" )
    private String engineName;
    /**
     * pc设备id<br>
     */
    @ApiModelProperty("pc设备id")
    @Size(max = 32, message="pc设备id-deviceId: 数据长度不能 > 32" )
    private String deviceId;
    /**
     * ip地址<br>
     */
    @ApiModelProperty("ip地址")
    @Size(max = 20, message="ip地址-ipAddr: 数据长度不能 > 20" )
    private String ipAddr;
    /**
     * 引擎版本<br>
     */
    @ApiModelProperty("引擎版本")
    @Size(max = 255, message="引擎版本-runningRelease: 数据长度不能 > 255" )
    private String runningRelease;
    /**
     * 注册时间<br>
     */
    @ApiModelProperty("注册时间")
    private Date registedTime;
    /**
     * 启用/禁用<br>
     */
    @ApiModelProperty("启用/禁用")
    private Boolean enabled;
    /**
     * 引擎状态<br>
     */
    @ApiModelProperty("引擎状态")
    @Size(max = 1, message="引擎状态-engineStatus: 数据长度不能 > 1" )
    private String engineStatus;
    /**
     * 引擎描述<br>
     */
    @ApiModelProperty("引擎描述")
    @Size(max = 255, message="引擎描述-engineDesc: 数据长度不能 > 255" )
    private String engineDesc;

    @ApiModelProperty("设备名称")
    private String deviceName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEngineName() {
        return engineName;
    }

    public void setEngineName(String engineName) {
        this.engineName = engineName;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getRunningRelease() {
        return runningRelease;
    }

    public void setRunningRelease(String runningRelease) {
        this.runningRelease = runningRelease;
    }

    public Date getRegistedTime() {
        return registedTime;
    }

    public void setRegistedTime(Date registedTime) {
        this.registedTime = registedTime;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getEngineDesc() {
        return engineDesc;
    }

    public void setEngineDesc(String engineDesc) {
        this.engineDesc = engineDesc;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }
}